package com.fp.armas.portal.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.*;

/**
 * The primary key class for the TCUSTPEOPLE database table.
 * 
 */
@Embeddable
public class TcustpeoplePK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column
	private long personcode;

	@Temporal(TemporalType.TIMESTAMP)
	private java.util.Date dateto;

	public TcustpeoplePK() {
	}
	
	public TcustpeoplePK(long personcode, Date dateto) {
		super();
		this.personcode = personcode;
		this.dateto = dateto;
	}



	public long getPersoncode() {
		return this.personcode;
	}
	public void setPersoncode(long personcode) {
		this.personcode = personcode;
	}
	public java.util.Date getDateto() {
		return this.dateto;
	}
	public void setDateto(java.util.Date dateto) {
		this.dateto = dateto;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof TcustpeoplePK)) {
			return false;
		}
		TcustpeoplePK castOther = (TcustpeoplePK)other;
		return 
			(this.personcode == castOther.personcode)
			&& this.dateto.equals(castOther.dateto);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + ((int) (this.personcode ^ (this.personcode >>> 32)));
		hash = hash * prime + this.dateto.hashCode();
		
		return hash;
	}
}